package com.ibiz.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.client.model.IIM;
import com.ibiz.util.SearchContext;

/**
 * 实体[IM] 服务对象接口
 */
public interface IIMClientService{

    public IIM createModel() ;

    public Page<IIM> select(SearchContext context);

    public void create(IIM im);

    public void get(IIM im);

    public void checkKey(IIM im);

    public void save(IIM im);

    public void remove(IIM im);

    public void createAndStart(IIM im);

    public void getDraft(IIM im);

    public void update(IIM im);

    public Page<IIM> fetchDefault(SearchContext context);

}
